<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::transport::test::TestMessageRequestObserver Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport.html">transport</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html">TestMessageRequestObserver</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::transport::test::TestMessageRequestObserver Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::transport::test::TestMessageRequestObserver:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::MessageRequest\lObserverInterface" alt="" coords="5,5,225,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::transport::test::TestMessageRequestObserver:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer_coll__map" id="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::MessageRequest\lObserverInterface" alt="" coords="17,5,237,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html" title="alexaClientSDK::avsCommon\l::utils::PromiseFuturePair\l\&lt; MessageRequestObserverInterface\l::Status \&gt;" alt="" coords="5,81,249,147"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html" title="alexaClientSDK::avsCommon\l::utils::PromiseFuturePair\l\&lt; std::string \&gt;" alt="" coords="29,171,225,223"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aba54dc5e961b42f4ca72880df723f8c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html#aba54dc5e961b42f4ca72880df723f8c8">onSendCompleted</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a> status)</td></tr>
<tr class="separator:aba54dc5e961b42f4ca72880df723f8c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a730b5827444834f7b151fb2aab4eaa12"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html#a730b5827444834f7b151fb2aab4eaa12">onExceptionReceived</a> (const std::string &amp;exceptionMessage)</td></tr>
<tr class="separator:a730b5827444834f7b151fb2aab4eaa12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></td></tr>
<tr class="memitem:aeeed2fcf0a58bfae1b1fcd05eb0325e1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aeeed2fcf0a58bfae1b1fcd05eb0325e1">~MessageRequestObserverInterface</a> ()=default</td></tr>
<tr class="separator:aeeed2fcf0a58bfae1b1fcd05eb0325e1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a05c87f6e53b42d2d3484befffd5fbf22"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html#a05c87f6e53b42d2d3484befffd5fbf22">m_status</a></td></tr>
<tr class="separator:a05c87f6e53b42d2d3484befffd5fbf22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a056b507a242a0b49a4088efcc03ba3d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html#a056b507a242a0b49a4088efcc03ba3d5">m_exception</a></td></tr>
<tr class="separator:a056b507a242a0b49a4088efcc03ba3d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></td></tr>
<tr class="memitem:a29e40517f71dfc83e3159a8f0f489d7b inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">Status</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bac69f06e1a9b016d133907b4e5f5864d2">Status::PENDING</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad0749aaba8b833466dfcbb0428e4f89c">Status::SUCCESS</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba042270fa18f5daa4cb749ebcfdd58897">Status::SUCCESS_NO_CONTENT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad91be9b5ceb9fe0af02b9b02413eccf8">Status::NOT_CONNECTED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba48aed7ecac60ad92d2006b58f16f483b">Status::NOT_SYNCHRONIZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bac5b306a30b21dec5abcb84067152687a">Status::TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba23f149f0f9ae9ed9e0119e7209178a5d">Status::PROTOCOL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bae8c0c70879b5895c615677261d64a1ee">Status::INTERNAL_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bab6f29ff7ebbf70db43b5ec7afc52228a">Status::SERVER_INTERNAL_ERROR_V2</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba392253eaea22aafdb199bc238bafc082">Status::REFUSED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad4539bffb6062bdcbd7e7cc1b1228926">Status::CANCELED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad56f03cea4fb854fa3000896bfd66fe3">Status::THROTTLED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7baabd298f8599f681c645d152c354f24de">Status::INVALID_AUTH</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba0bbffe9eb8bbfc49246e867fccaefb73">Status::BAD_REQUEST</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba565bf62d0232917ae7d656bbba39c04d">Status::SERVER_OTHER_ERROR</a>
<br />
 }</td></tr>
<tr class="separator:a29e40517f71dfc83e3159a8f0f489d7b inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A <code>MessageRequestObserverInterface</code> implementation used in this test. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a730b5827444834f7b151fb2aab4eaa12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a730b5827444834f7b151fb2aab4eaa12">&#9670;&nbsp;</a></span>onExceptionReceived()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::TestMessageRequestObserver::onExceptionReceived </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>exceptionMessage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aab527606e4e69cf4be8155feaaa16b92">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a>.</p>

</div>
</div>
<a id="aba54dc5e961b42f4ca72880df723f8c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba54dc5e961b42f4ca72880df723f8c8">&#9670;&nbsp;</a></span>onSendCompleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::TestMessageRequestObserver::onSendCompleted </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a2ef03c8d93590f362758fafcc22c2b72">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a056b507a242a0b49a4088efcc03ba3d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a056b507a242a0b49a4088efcc03ba3d5">&#9670;&nbsp;</a></span>m_exception</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt;std::string&gt; alexaClientSDK::acl::transport::test::TestMessageRequestObserver::m_exception</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A promise that <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aab527606e4e69cf4be8155feaaa16b92">MessageRequestObserverInterface::onExceptionReceived()</a></code> will be called with an exception message </p>

</div>
</div>
<a id="a05c87f6e53b42d2d3484befffd5fbf22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05c87f6e53b42d2d3484befffd5fbf22">&#9670;&nbsp;</a></span>m_status</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a>&gt; alexaClientSDK::acl::transport::test::TestMessageRequestObserver::m_status</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A promise that <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a2ef03c8d93590f362758fafcc22c2b72">MessageRequestObserverInterface::onSendCompleted()</a></code> will be called with a <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a></code> value </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ACL/test/Transport/<a class="el" href="_h_t_t_p2_transport_test_8cpp.html">HTTP2TransportTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
